#include once "window9.bi"

Sub DeleteListViewItemsAll(ByVal gadget As Long) Export
	ImageList_RemoveAll(Cast(HIMAGELIST, GetHimageCombo_(gadget)))
	dim as HWND hWin = Cast(HWND,GadgetID(gadget))
	dim as any ptr pStackIndexes = GetProp(hWin, "stackindexes")
	if pStackIndexes then freeStackFreeIndexes(pStackIndexes)
	SendMessage(hWin,LVM_DELETEALLITEMS,0,0)
End Sub
